Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.extractor
Class CustomSWFTags

    java.lang.Object
      com.anotherbigidea.flash.writers.SWFTagTypesImpl
          org.archive.crawler.extractor.CustomSWFTags

All Implemented Interfaces:
  com.anotherbigidea.flash.interfaces.SWFFileSignature, com.anotherbigidea.flash.interfaces.SWFHeader, com.anotherbigidea.flash.interfaces.SWFSpriteTagTypes, com.anotherbigidea.flash.interfaces.SWFTags, com.anotherbigidea.flash.interfaces.SWFTagTypes

    public class CustomSWFTags

extends com.anotherbigidea.flash.writers.SWFTagTypesImpl

Overwrite action tags, that may hold URI, to use `CrawlUriSWFAction `action.``

Author:
  Igor Ranitovic

Field Summary
`(package private) com.anotherbigidea.flash.interfaces.SWFActions` | `actions`

Fields inherited from class com.anotherbigidea.flash.writers.SWFTagTypesImpl
`mTagtypes`

Fields inherited from interface com.anotherbigidea.flash.interfaces.SWFFileSignature
`SIGNATURE_COMPRESSED, SIGNATURE_NORMAL`

Constructor Summary
`CustomSWFTags(com.anotherbigidea.flash.interfaces.SWFActions a)`

Method Summary
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDefineButton(int id, java.util.Vector buttonRecords)`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDefineButton2(int id, boolean trackAsMenu, java.util.Vector buttonRecord2s)`
`com.anotherbigidea.flash.interfaces.SWFActions` | `tagDoAction()`

Methods inherited from class com.anotherbigidea.flash.writers.SWFTagTypesImpl
`header, signature, tag, tagButtonCXForm, tagDefineBits, tagDefineBitsJPEG2, tagDefineBitsJPEG2, tagDefineBitsJPEG3, tagDefineBitsLossless, tagDefineBitsLossless2, tagDefineButtonSound, tagDefineFont, tagDefineFont2, tagDefineFontInfo, tagDefineFontInfo2, tagDefineMorphShape, tagDefineQuickTimeMovie, tagDefineShape, tagDefineShape2, tagDefineShape3, tagDefineSound, tagDefineSprite, tagDefineText, tagDefineText2, tagDefineTextField, tagDoInitAction, tagEnableDebug, tagEnableDebug2, tagEnd, tagExport, tagFrameLabel, tagFrameLabel, tagFreeCharacter, tagGenerator, tagGeneratorCommand, tagGeneratorFont, tagGeneratorText, tagImport, tagJPEGTables, tagNameCharacter, tagPlaceObject, tagPlaceObject2, tagProtect, tagRemoveObject, tagRemoveObject2, tagSerialNumber, tagSetBackgroundColor, tagShowFrame, tagSoundStreamBlock, tagSoundStreamHead, tagSoundStreamHead2, tagStartSound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actions

    com.anotherbigidea.flash.interfaces.SWFActions actions

Constructor Detail

### CustomSWFTags

    public CustomSWFTags(com.anotherbigidea.flash.interfaces.SWFActions a)

Method Detail

### tagDefineButton

    public com.anotherbigidea.flash.interfaces.SWFActions tagDefineButton(int id,
                                                                          java.util.Vector buttonRecords)
                                                                   throws java.io.IOException

  Specified by:
    `tagDefineButton` in interface `com.anotherbigidea.flash.interfaces.SWFTagTypes`
  Overrides:
    `tagDefineButton` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagDefineButton2

    public com.anotherbigidea.flash.interfaces.SWFActions tagDefineButton2(int id,
                                                                           boolean trackAsMenu,
                                                                           java.util.Vector buttonRecord2s)
                                                                    throws java.io.IOException

  Specified by:
    `tagDefineButton2` in interface `com.anotherbigidea.flash.interfaces.SWFTagTypes`
  Overrides:
    `tagDefineButton2` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

### tagDoAction

    public com.anotherbigidea.flash.interfaces.SWFActions tagDoAction()
                                                               throws java.io.IOException

  Specified by:
    `tagDoAction` in interface `com.anotherbigidea.flash.interfaces.SWFSpriteTagTypes`
  Overrides:
    `tagDoAction` in class `com.anotherbigidea.flash.writers.SWFTagTypesImpl`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.